/// <reference types="react" />
export declare type CleanDataInput = {
    html: {
        blocks: {
            type: string;
            data: {
                text: string;
                level?: number;
                items?: any[];
                code?: string;
                file?: {
                    url: string;
                };
                caption?: string;
                style?: 'ordered';
                html?: string;
            };
        }[];
    };
};
declare const CleanDataParser: (block: {
    type: string;
    data: {
        text: string;
        level?: number;
        items?: any[];
        code?: string;
        file?: {
            url: string;
        };
        caption?: string;
        style?: "ordered";
        html?: string;
    };
}, index: number) => JSX.Element;
export default CleanDataParser;
